Bug 1978 - При запуске JAVA приложения (java -jar ./OmegaT.jar) выскакивает ошибка
: При запуске JAVA приложения (java -jar ./OmegaT.jar) выскакивает ошибка
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/java-common)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-16 15:15 by
Modified: 2005-08-30 02:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-16 15:15:30
При запуске JAVA приложения OmegaT - свободная CAT система, аналогов которой в
линуксе нет выскакивает следующая ошибка: 

[<a href="mailto:root@linuxbox" target="_new">root@linuxbox</a> OmegaT]#
./OmegaT
/usr/bin/java: cannot find a Java 2 runtime environment directory

Это ошибка java или моя собственная? Что нужно, для запуска этой программы?
---

---
------- Comment #1 From 2003-01-16 15:31:16 -------
ИМХО этому вопросу место в community, а не в BTS, да ещё и с Severity block.
------- Comment #2 From 2003-01-16 15:31:16 -------
ИМХО этому вопросу место в community, а не в BTS, да ещё и с Severity block.
------- Comment #3 From 2003-01-16 16:13:41 -------
Тоже самое у меня происходило ещё с несколькими программами. Я не знаток Java и
мог что-то недоустановить, но из сообщений об ошибках заключаю, что JRE в
дитрибутиве просто неспособно обеспечить работу написанных на JAVA программ.
Неспособность выполнять java код при заявленном наличии необходимой платформы
(если я прав) - серьёзная проблема.

Программа, которую я хочу запустить, единственная в этом классе в Линуксе. Если
заработает, то может принести большую пользу в переводе документации.
------- Comment #4 From 2003-01-16 16:13:41 -------
Тоже самое у меня происходило ещё с несколькими программами. Я не знаток Java и
мог что-то недоустановить, но из сообщений об ошибках заключаю, что JRE в
дитрибутиве просто неспособно обеспечить работу написанных на JAVA программ.
Неспособность выполнять java код при заявленном наличии необходимой платформы
(если я прав) - серьёзная проблема.

Программа, которую я хочу запустить, единственная в этом классе в Линуксе. Если
заработает, то может принести большую пользу в переводе документации.
------- Comment #5 From 2003-01-17 04:16:59 -------
Поставьте j2se1.4-sun из каталога non-free в Sisyphus.
Старый пакет jre не приспособлен для запуска java-программ из командной строки.
------- Comment #6 From 2003-01-17 04:16:59 -------
Поставьте j2se1.4-sun из каталога non-free в Sisyphus.
Старый пакет jre не приспособлен для запуска java-программ из командной строки.
------- Comment #7 From 2003-01-17 15:22:59 -------
Помогло. Главное, чтобы в дистрибутиве всё из коробки работало. Инцидент
исчерпан.
------- Comment #8 From 2003-01-17 15:22:59 -------
Помогло. Главное, чтобы в дистрибутиве всё из коробки работало. Инцидент
исчерпан.